<?php
/**
* Getting started options
*
* @package GridFeel WordPress Theme
* @copyright Copyright (C) 2023 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function gridfeel_getting_started($wp_customize) {

    $wp_customize->add_section( 'gridfeel_section_getting_started', array( 'title' => esc_html__( 'Getting Started', 'gridfeel' ), 'description' => esc_html__( 'Thanks for your interest in GridFeel! If you have any questions or run into any trouble, please visit us the following links. We will get you fixed up!', 'gridfeel' ), 'panel' => 'gridfeel_main_options_panel', 'priority' => 5, ) );

    $wp_customize->add_setting( 'gridfeel_options[documentation]', array( 'default' => '', 'sanitize_callback' => '__return_false', ) );

    $wp_customize->add_control( new GridFeel_Customize_Button_Control( $wp_customize, 'gridfeel_documentation_control', array( 'label' => esc_html__( 'Documentation', 'gridfeel' ), 'section' => 'gridfeel_section_getting_started', 'settings' => 'gridfeel_options[documentation]', 'type' => 'button', 'button_tag' => 'a', 'button_class' => 'button button-primary', 'button_href' => esc_url( 'https://themesdna.com/gridfeel-wordpress-theme/' ), 'button_target' => '_blank', ) ) );

    $wp_customize->add_setting( 'gridfeel_options[contact]', array( 'default' => '', 'sanitize_callback' => '__return_false', ) );

    $wp_customize->add_control( new GridFeel_Customize_Button_Control( $wp_customize, 'gridfeel_contact_control', array( 'label' => esc_html__( 'Contact Us', 'gridfeel' ), 'section' => 'gridfeel_section_getting_started', 'settings' => 'gridfeel_options[contact]', 'type' => 'button', 'button_tag' => 'a', 'button_class' => 'button button-primary', 'button_href' => esc_url( 'https://themesdna.com/contact/' ), 'button_target' => '_blank', ) ) );

}