<?php
/**
* Menu options
*
* @package GridFeel WordPress Theme
* @copyright Copyright (C) 2023 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function gridfeel_menu_options($wp_customize) {

    $wp_customize->add_section( 'gridfeel_section_menu_options', array( 'title' => esc_html__( 'Menu Options', 'gridfeel' ), 'panel' => 'gridfeel_main_options_panel', 'priority' => 100 ) );


    $wp_customize->add_setting( 'gridfeel_options[primary_menu_text]', array( 'default' => esc_html__( 'Menu', 'gridfeel' ), 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'sanitize_text_field', ) );

    $wp_customize->add_control( 'gridfeel_primary_menu_text_control', array( 'label' => esc_html__( 'Primary Menu Mobile Text', 'gridfeel' ), 'section' => 'gridfeel_section_menu_options', 'settings' => 'gridfeel_options[primary_menu_text]', 'type' => 'text', ) );

    $wp_customize->add_setting( 'gridfeel_options[disable_primary_menu]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridfeel_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridfeel_disable_primary_menu_control', array( 'label' => esc_html__( 'Disable Primary Menu', 'gridfeel' ), 'section' => 'gridfeel_section_menu_options', 'settings' => 'gridfeel_options[disable_primary_menu]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridfeel_options[disable_sticky_menu]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridfeel_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridfeel_disable_sticky_menu_control', array( 'label' => esc_html__( 'Disable Sticky Feature from Primary Menu', 'gridfeel' ), 'section' => 'gridfeel_section_menu_options', 'settings' => 'gridfeel_options[disable_sticky_menu]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridfeel_options[enable_sticky_mobile_menu]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridfeel_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridfeel_enable_sticky_mobile_menu_control', array( 'label' => esc_html__( 'Enable Sticky Feature for Primary Menu on Small Screen', 'gridfeel' ), 'section' => 'gridfeel_section_menu_options', 'settings' => 'gridfeel_options[enable_sticky_mobile_menu]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridfeel_options[center_primary_menu]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridfeel_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridfeel_center_primary_menu_control', array( 'label' => esc_html__( 'Center Primary Menu', 'gridfeel' ), 'section' => 'gridfeel_section_menu_options', 'settings' => 'gridfeel_options[center_primary_menu]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridfeel_options[secondary_menu_text]', array( 'default' => esc_html__( 'Menu', 'gridfeel' ), 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'sanitize_text_field', ) );

    $wp_customize->add_control( 'gridfeel_secondary_menu_text_control', array( 'label' => esc_html__( 'Secondary Menu Mobile Text', 'gridfeel' ), 'section' => 'gridfeel_section_menu_options', 'settings' => 'gridfeel_options[secondary_menu_text]', 'type' => 'text', ) );

    $wp_customize->add_setting( 'gridfeel_options[disable_secondary_menu]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridfeel_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridfeel_disable_secondary_menu_control', array( 'label' => esc_html__( 'Disable Secondary Menu', 'gridfeel' ), 'section' => 'gridfeel_section_menu_options', 'settings' => 'gridfeel_options[disable_secondary_menu]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridfeel_options[center_secondary_menu]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridfeel_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridfeel_center_secondary_menu_control', array( 'label' => esc_html__( 'Center Secondary Menu', 'gridfeel' ), 'section' => 'gridfeel_section_menu_options', 'settings' => 'gridfeel_options[center_secondary_menu]', 'type' => 'checkbox', ) );

}