<?php
/**
* Template part for displaying single posts.
*
* @link https://developer.wordpress.org/themes/basics/template-hierarchy/
*
* @package GridFeel WordPress Theme
* @copyright Copyright (C) 2023 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/
?>

<?php gridfeel_before_single_post(); ?>

<article id="post-<?php the_ID(); ?>" <?php post_class('gridfeel-post-singular gridfeel-box'); ?>>
<div class="gridfeel-box-inside">

    <?php gridfeel_before_single_post_title(); ?>

    <?php if ( !(gridfeel_get_option('hide_post_title')) ) { ?>
    <header class="entry-header">
    <div class="entry-header-inside gridfeel-clearfix">
        <?php if ( gridfeel_get_option('remove_post_title_link') ) { ?>
            <?php the_title( '<h1 class="post-title entry-title">', '</h1>' ); ?>
        <?php } else { ?>
            <?php the_title( sprintf( '<h1 class="post-title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h1>' ); ?>
        <?php } ?>

        <?php gridfeel_single_postmeta(); ?>
    </div>
    </header><!-- .entry-header -->
    <?php } ?>

    <?php gridfeel_after_single_post_title(); ?>

    <div class="entry-content gridfeel-clearfix">
            <?php
            gridfeel_top_single_post_content();

            the_content( sprintf(
                wp_kses(
                    /* translators: %s: Name of current post. Only visible to screen readers */
                    __( 'Continue reading<span class="gridfeel-sr-only"> "%s"</span> <span class="meta-nav">&rarr;</span>', 'gridfeel' ),
                    array(
                        'span' => array(
                            'class' => array(),
                        ),
                    )
                ),
                wp_kses_post( get_the_title() )
            ) );

            wp_link_pages( array(
             'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'gridfeel' ) . '</span>',
             'after'       => '</div>',
             'link_before' => '<span>',
             'link_after'  => '</span>',
             ) );

            gridfeel_bottom_single_post_content();
            ?>
    </div><!-- .entry-content -->

    <?php gridfeel_after_single_post_content(); ?>

    <?php if ( !(gridfeel_get_option('hide_author_bio_box')) ) { echo wp_kses_post( force_balance_tags( gridfeel_add_author_bio_box() ) ); } ?>

    <?php if ( !(gridfeel_get_option('hide_post_tags')) ) { ?>
    <?php if ( has_tag() ) { ?>
    <footer class="entry-footer gridfeel-entry-footer">
    <div class="gridfeel-entry-footer-inside">
        <?php gridfeel_post_tags(); ?>
    </div>
    </footer><!-- .entry-footer -->
    <?php } ?>
    <?php } ?>

</div>
</article>

<?php gridfeel_after_single_post(); ?>